Is an update to 1.1.3 usefull ?

Discussion in 'iPod touch 1.1.3 Jailbreak' started by FAll in the depth, Feb 9, 2008.

  1. FAll in the depth

    FAll in the depth New Member

    Joined:
    Jan 30, 2008
    Messages:
    47
    Likes Received:
    0
    Hello guys!
    First, I must say sorry for my fu***n english! I am from germany and can't speak this language very well.

    I've jailbroken my Ipod to 1.1.2 .
    My question is, >should I update to 1.1.3 ?<

    I know, there are so many threads about 1.1.3, but the information there aren't Currently/new.

    Maybe somone, who has jailbroken the ipod to 1.1.3, can say, should I do it, or shouldn't I do it.

    Very sorry for the bad EN.

    Greetings Fall in the Depth
  2. inflacoarch

    inflacoarch New Member

    Joined:
    Jan 11, 2008
    Messages:
    114
    Likes Received:
    1
    Haha its ok, i have a lot of german friends so i understand,
    upgrading to 1.1.3 is actually very cool, you get all the new iphone apps + the wiggly feature,
    i did it last night and i love it, [ i screwed up the first time by not installing independence so now i have to redownload 700+ songs from limewire but thats my fault xD]
    if you have a mac look at my thread
    if not then use the search button :]
    http://www.ifans.com/forums/showthread.php?t=37565
  3. Isabel

    Isabel New Member

    Joined:
    Dec 28, 2007
    Messages:
    33
    Likes Received:
    0
    So if I already have the iphone apps on my 1.1.2 jailbroken Touch, the only thing I'd gain by going to a jailbroken 1.1.3 version is the wiggly icons?

    I don't want to waste all the time doing it if wiggly icons is the only gain.
  4. lonzy12

    lonzy12 New Member

    Joined:
    Dec 21, 2007
    Messages:
    59
    Likes Received:
    2
    Device:
    iPod touch
    + the 5 apple apps (mail, maps etc) which are advanced editions of the 1.1.2 versions, and lyric support (click the artwork and the lyrcs come up
    + support for the sdk when it is released
  5. Isabel

    Isabel New Member

    Joined:
    Dec 28, 2007
    Messages:
    33
    Likes Received:
    0
    Thanks! I might try it since I'm snowed in anyway. But, I have my Touch exactly the way I want it now, and don't want to screw it up.
  6. canuks_fan

    canuks_fan New Member

    Joined:
    Oct 24, 2007
    Messages:
    41
    Likes Received:
    0
    I actually don't like 1.1.3 very much. Yea, the wiggly icons are cool, but not very many of the apps work so I'm thinking of downgrading back to 1.1.1 where everything worked. I can always re-arrange my icons with customize. I won't be upgrading again until apple comes out with flashplayer.
  7. DankSinatra

    DankSinatra New Member

    Joined:
    Dec 3, 2007
    Messages:
    52
    Likes Received:
    0
    wow. Sounds like I shouldn't do this yet. Not all apps work?
  8. Apple Guy

    Apple Guy Well-Known Member

    Joined:
    Dec 24, 2007
    Messages:
    1,992
    Likes Received:
    41
    Device:
    iPhone 4S (Black)
    Yes, you should defineitely upgrade, the new firmware is much more stable and the wiggly icons are cool

    Please Register or Log in to view images

  9. KalleKanin

    KalleKanin New Member

    Joined:
    Jan 23, 2008
    Messages:
    151
    Likes Received:
    0
    Device:
    iPod touch
    I say wait for the real one. The current various 1.1.3 "soft" upgrades are not really giving you the 1.1.3 firmware. They are just letting your iPod tackle running most of the stuff intended for the new firmware. Hence the numerous bugs and compability differences.

    The one they have now is like giving one of your buddies a sex change operation instead of waiting for a real girl to come along. Not quite as nice. Wait a few weeks for the upgrade based on the actual 1.1.3 firmware.

    And sorry for the stupid metaphor.

    Please Register or Log in to view images

  10. FAll in the depth

    FAll in the depth New Member

    Joined:
    Jan 30, 2008
    Messages:
    47
    Likes Received:
    0
    The metaphor is very great

    Please Register or Log in to view images


    Sooo ahh- hmm...I see, the people have different opinions. I thnik I'll wate for a betta version of 1.1.3.

    Tanks for your help!

Share This Page